Galya Docs
API referenceclusters

List entity clusters in the namespace

GET
/clusters

Retrieves the most popular entity clusters scoped to the namespace.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

limit?integer
Default20
offset?integer
Default0
entity_type?string

Filter clusters by entity type.

Value in"content" | "place" | "brand" | "user" | "website" | "file"

Response Body

application/json

application/json

curl -X GET "https://example.com/clusters"
{
  "results": [
    {
      "id": "string",
      "entity_type": "content",
      "clustered_entities": [
        {
          "id": "string",
          "name": "string",
          "description": "string",
          "url": "http://example.com",
          "ref": "string",
          "type": "content",
          "linked_content": [
            {
              "id": "string",
              "title": "string",
              "description": "string",
              "url": "http://example.com",
              "content": "string",
              "type": "image",
              "ref": "string"
            }
          ],
          "linked_entities": [
            {
              "id": "string",
              "name": "string",
              "description": "string",
              "url": "http://example.com",
              "ref": "string",
              "type": "content",
              "linked_content": [
                {
                  "id": "string",
                  "title": "string",
                  "description": "string",
                  "url": "http://example.com",
                  "content": "string",
                  "type": "image",
                  "ref": "string"
                }
              ],
              "linked_entities": []
            }
          ]
        }
      ]
    }
  ]
}
{
  "error": "string",
  "code": "string"
}